import vl from 'vega-lite-api';
export const viz = vl
  .markCircle({
    size: 200,
    opacity: 0.2,
    color: 'black'
  })
  .encode(
    vl
      .x()
      .fieldQ('displacement')
      .scale({ zero: false }),
    vl
      .y()
      .fieldQ('horsepower')
      .scale({ zero: false }),
    vl.color().fieldN('year'),
    vl
      .size()
      .fieldQ('weight')
      .scale({ range: [0, 1000] }),
    vl.tooltip().fieldN('name')
  );
